WordPress.org

Forums

Blogger Importer
Bug Report - wp_enqueue_script and undefined variables - 3.3.2 / 0.4 (2 posts)

  1. mildlydiverting
    Member
    Posted 3 years ago #

    Hello

    Trying to use blogger importer: it's blown up with a script error, but still seems to semi work.

    = main error message =

    Notice: wp_enqueue_script was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or init hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in (~)/Sites/mildlydiverting.local/www/wp-includes/functions.php on line 3587

    = steps to reproduce =

    Go to 'Tools>Import'
    Choose 'Blogger'
    Overlay appears
    Choose 'Install Now'

    ` Downloading install package from http://downloads.wordpress.org/plugin/blogger- importer.0.4.zip…
    Unpacking the package…
    Installing the plugin…
    Successfully installed the plugin Blogger Importer 0.4.`

    Hit 'Activate plugin and run importer' link on success screen
    Browser loads http://mildlydiverting.local/wp-admin/import.php?import=blogger

    Get a large error message (see foot of bug report) above the plugin panel.

    It's still possible to authenticate through google oAuth, and it seems to have run the import OK - most posts, almost no comments have come over.

    Putting this as a bug report as it might be handy info if you're still tweaking for 3.3.

    Highly probably I've done something stupid with my local LAMP / WP configuration that's making this happen. :)

    = About my environment =

    I have installed WP 3.3.2 locally on my mac (OSX 10.7.4) , which is using local stack of Apache2/php/mysql. Everything seemed to be running fine (I've chown/chmoded the web root so _www user can write to it, and tinkered with the path to mysql.sock in php.ini etc.

    == Error message ==
    (NB have replaced full path with ~/ because for some reason, that seemed _personal_)

    Notice: wp_enqueue_script was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or init hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in ~/Sites/mildlydiverting.local/www/wp-includes/functions.php on line 3587

    Notice: Undefined variable: response in ~/Sites/mildlydiverting.local/www/wp-content/plugins/blogger-importer/blogger-importer.php on line 771
    Notice: Undefined index: Content-Type in ~/Sites/mildlydiverting.local/www/wp-content/plugins/blogger-importer/blogger-importer.php on line 813
    Notice: Undefined index: Date in ~/Sites/mildlydiverting.local/www/wp-content/plugins/blogger-importer/blogger-importer.php on line 813
    Notice: Undefined index: Expires in ~/Sites/mildlydiverting.local/www/wp-content/plugins/blogger-importer/blogger-importer.php on line 813
    Notice: Undefined index: Cache-Control in ~/Sites/mildlydiverting.local/www/wp-content/plugins/blogger-importer/blogger-importer.php on line 813
    Notice: Undefined index: X-Content-Type-Options in ~/Sites/mildlydiverting.local/www/wp-content/plugins/blogger-importer/blogger-importer.php on line 813
    Notice: Undefined index: X-XSS-Protection in ~/Sites/mildlydiverting.local/www/wp-content/plugins/blogger-importer/blogger-importer.php on line 813
    Notice: Undefined index: Content-Length in ~/Sites/mildlydiverting.local/www/wp-content/plugins/blogger-importer/blogger-importer.php on line 813
    Notice: Undefined index: Server in ~/Sites/mildlydiverting.local/www/wp-content/plugins/blogger-importer/blogger-importer.php on line 813
    Notice: Undefined index: Set-Cookie in ~/Sites/mildlydiverting.local/www/wp-content/plugins/blogger-importer/blogger-importer.php on line 817
    Notice: Undefined variable: init in ~/Sites/mildlydiverting.local/www/wp-content/plugins/blogger-importer/blogger-importer.php on line 245
    Notice: Undefined variable: rows in ~/Sites/mildlydiverting.local/www/wp-content/plugins/blogger-importer/blogger-importer.php on line 248

    http://wordpress.org/extend/plugins/blogger-importer/

  2. Workshopshed
    Member
    Plugin Author

    Posted 3 years ago #

    This should be fixed in the 0.5 version which should also work fine with 3.3.2 or 3.4

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Blogger Importer
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic